# $Revision: 1.14 $, $Date: 2004/05/07 01:09:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Statistics
%define	pnam	Frequency
Summary:	Statistics::Frequency - simple counting of elements
Summary(pl):	Statistics::Frequency - proste liczenie elementw
Name:		perl-%{pdir}-%{pnam}
Version:	0.03
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b67d54fb3db4787f170f3700e5362417
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small module for a small but very common task: counting things,
in another words, frequencies.  Sure, you can $freq{$elem}++ yourself,
but what if you need to normalize the frequencies, or what if you have
several frequencies you want to combine?  Statistics::Frequency to rescue.

%description -l pl
Jest to may modu do maego, ale bardzo popularnego zadania:
zliczania rnych rzeczy, a innymi sowy, czstotliwoci. Oczywicie
mona robi samemu $freq{$elem}++, ale jeli potrzebna jest
normalizacja czstotliwoci, albo kombinacja kilku czstotliwoci?
Modu Statistics::Frequency jest ratunkiem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
#perl Makefile.PL # it's broken: sixsth line prevents from generating man page
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Statistics::Frequency")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Statistics-Frequency.spec,v $
Revision 1.14  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.13  2004/05/06 18:21:06  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/02 05:34:24  ankry
- license fix, cosmetics

Revision 1.11  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.9  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:20  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/12 22:20:39  radek
- version 0.03

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/05 16:32:33  radek
- new, STBR
